## org.apache.lucene.queryParser
Class QueryParserTokenManager

    java.lang.Object
      org.apache.lucene.queryParser.QueryParserTokenManager

All Implemented Interfaces:
  QueryParserConstants

    public class QueryParserTokenManager

extends java.lang.Object
implements QueryParserConstants

Token Manager.

Field Summary
`protected char` `curChar`
`java.io.PrintStream` `debugStream` Debug output.
`protected CharStream` `input_stream`
`static int[]` `jjnewLexState` Lex State array.
`static java.lang.String[]` `jjstrLiteralImages` Token literal values.
`static java.lang.String[]` `lexStateNames` Lexer state names.

Fields inherited from interface org.apache.lucene.queryParser.QueryParserConstants
`_ESCAPED_CHAR, _NUM_CHAR, _QUOTED_CHAR, _TERM_CHAR, _TERM_START_CHAR, _WHITESPACE, AND, Boost, CARAT, COLON, DEFAULT, EOF, FUZZY_SLOP, LPAREN, MINUS, NOT, NUMBER, OR, PLUS, PREFIXTERM, QUOTED, RangeEx, RANGEEX_END, RANGEEX_GOOP, RANGEEX_QUOTED, RANGEEX_START, RANGEEX_TO, RangeIn, RANGEIN_END, RANGEIN_GOOP, RANGEIN_QUOTED, RANGEIN_START, RANGEIN_TO, RPAREN, STAR, TERM, tokenImage, WILDTERM`

Constructor Summary
`QueryParserTokenManager(CharStream stream)` Constructor.
`QueryParserTokenManager(CharStream stream, int lexState)` Constructor.

Method Summary
`Token` `getNextToken()` Get the next Token.
`protected Token` `jjFillToken()`
`void` `ReInit(CharStream stream)` Reinitialise parser.
`void` `ReInit(CharStream stream, int lexState)` Reinitialise parser.
`void` `setDebugStream(java.io.PrintStream ds)` Set debug output.
`void` `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final java.lang.String[] lexStateNames

  Lexer state names.

### jjnewLexState

    public static final int[] jjnewLexState

  Lex State array.

### input_stream

    protected CharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### QueryParserTokenManager

    public QueryParserTokenManager(CharStream stream)

  Constructor.

### QueryParserTokenManager

    public QueryParserTokenManager(CharStream stream,
                                   int lexState)

  Constructor.

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

  Set debug output.

### ReInit

    public void ReInit(CharStream stream)

  Reinitialise parser.

### ReInit

    public void ReInit(CharStream stream,
                       int lexState)

  Reinitialise parser.

### SwitchTo

    public void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

  Get the next Token.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.